ranges::views::set_symmetric_difference_base_fn Struct Reference
Inheritance diagram for ranges::views::set_symmetric_difference_base_fn:

## Public Member Functions

CPP_TEMPLATE_AUX_0 P2 | operator() (Rng1 &&rng1, Rng2 &&rng2, C pred=C{}, P1 proj1=P1{}, P2 proj2=P2{}) const
template<typename Rng1 , typename Rng2 , typename C = less, typename P1 = identity, typename P2 = identity>

CPP_TEMPLATE_AUX_0

s (requires ` viewable_range< Rng1 > &&input_range< Rng1 > &&viewable_range< Rng2 > &&input_range< Rng2 > &&common_with< range_value_t< Rng1 >, range_value_t< Rng2 >> &&common_reference_with< range_reference_t< Rng1 >, range_reference_t< Rng2 >> &&common_reference_with< range_rvalue_reference_t< Rng1 >, range_rvalue_reference_t< Rng2 >> &&indirect_relation< C, projected< iterator_t< Rng1 >, P1 >, projected< iterator_t< Rng2 >, P2 >>) ssset_symmetric_difference_view< all_t< Rng1 >

## Public Attributes

CPP_TEMPLATE_AUX_0 | all_t< Rng2 >
CPP_TEMPLATE_AUX_0 | C
CPP_TEMPLATE_AUX_0 | P1